# Uses of Class
javax.swing.text.html.parser.TagElement

Packages that use TagElement
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of TagElement in javax.swing.text.html.parser

Methods in javax.swing.text.html.parser that return TagElement
Modifier and Type
Method
Description
`protected TagElement`
Parser.`makeTag​(Element elem)`
Makes a TagElement.
`protected TagElement`
Parser.`makeTag​(Element elem, boolean fictional)`
Makes a TagElement.
Methods in javax.swing.text.html.parser with parameters of type TagElement
Modifier and Type
Method
Description
`protected void`
DocumentParser.`handleEmptyTag​(TagElement tag)`
Handle Empty Tag.
`protected void`
Parser.`handleEmptyTag​(TagElement tag)`
Called when an empty tag is encountered.
`protected void`
DocumentParser.`handleEndTag​(TagElement tag)`
Handle End Tag.
`protected void`
Parser.`handleEndTag​(TagElement tag)`
Called when an end tag is encountered.
`protected void`
DocumentParser.`handleStartTag​(TagElement tag)`
Handle Start Tag.
`protected void`
Parser.`handleStartTag​(TagElement tag)`
Called when a start tag is encountered.
`protected void`
Parser.`startTag​(TagElement tag)`
Handle a start tag.